Debian Bug report logs - #413805
Please create a fpc-dev package

Package: fpc; Maintainer for fpc is Carlos Laviola <claviola@debian.org>; Source for fpc is src:fpc.

Reported by: Patrick Winnertz <patrick.winnertz@skolelinux.org>

Date: Wed, 7 Mar 2007 09:06:04 UTC

Severity: wishlist

Merged with 422485

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carlos Laviola <claviola@debian.org>:
Bug#413805; Package fpc. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
New Bug report received and forwarded. Copy sent to Carlos Laviola <claviola@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please create a fpc-dev package
Date: Wed, 07 Mar 2007 10:06:53 +0100
Package: fpc
Severity: wishlist

As I wrote in my bugreport for lazarus, lazarus is not usable without
the source of fpc, I would suggest to create a fpc-dev package with the
needed files for lazarus.

Greetings
Patrick Winnertz


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Forcibly Merged 413805 422485. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 06 May 2007 12:00:03 GMT) Full text and rfc822 format available.

Blocking bugs of 413806 added: 413805 and 422485 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sat, 08 Dec 2007 19:54:03 GMT) Full text and rfc822 format available.

Information stored:
Bug#413805; Package fpc. Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #14 received at 413805-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <twerner@debian.org>
To: debian-devel@lists.debian.org
Cc: 413805-quiet@bugs.debian.org
Subject: help needed for free pascal (fpc) / lazarus
Date: Sat, 8 Dec 2007 20:45:44 +0100
Hi,

please have a look at
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413805>. The package
lazarus requires the sources of free pascal because it parses them.
The obvious solution is to create a binary package fpc-source shipping
the sources and add a Depends or Recommends to lazarus. This is
similar to other packages like emacs lisp, java, and erlang.  Jörg
Jaspert rejected that upload and suggested to ask debian-devel. Does
anyone suggest any other solution? Please Cc: me in your answers
because I am not subscribed to debian-devel.

Thanks,
Torsten

-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Carlos Laviola <claviola@debian.org>:
Bug#413805; Package fpc. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Carlos Laviola <claviola@debian.org>. Full text and rfc822 format available.

Message #19 received at 413805@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: mail.twerner@googlemail.com
Cc: Debian Developers <debian-devel@lists.debian.org>, 413805@bugs.debian.org
Subject: Re: help needed for free pascal (fpc) / lazarus
Date: Sat, 8 Dec 2007 22:21:28 +0100 (CET)
On Sat, 8 Dec 2007, Torsten Werner wrote:

> please have a look at
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413805>. The package
> lazarus requires the sources of free pascal because it parses them.
> The obvious solution is to create a binary package fpc-source shipping
> the sources and add a Depends or Recommends to lazarus. This is
> similar to other packages like emacs lisp, java, and erlang.

I completely fail to see any reason to reject a solution that fixes
a serious bug (well #413805 is tagged wishlist but this is definitely
wrong - it should be serious because lazarus just does not work
without fpc-sources).

Kind regards

         Andreas.

-- 
http://fam-tille.de




Tags added: pending Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2007 19:54:04 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2.2.0-3. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sat, 15 Mar 2008 21:57:10 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Patrick Winnertz <patrick.winnertz@skolelinux.org> Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sat, 15 Mar 2008 21:57:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Apr 2008 07:30:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:24:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.